increase apt flexibility (for third party apps)

Reinhard Tartler siretart at gmail.com
Sat Oct 8 09:52:22 CDT 2005


On 10/8/05, MadMan2k <madman2k at gmx.de> wrote:
> there is one thing where every package manager from apt to emerge fails,
> it is modular applications.
> These mostly bring their own mini-package manager along, which is not
> compatible to the native one
> or even worse interferes with it.
>
> Two of these apps that I am using are, firefox and eclipse. The worst
> case described obove happens with firefox and the
> flash-plugin, which is avaible through apt, but also as a xpi.
> Since the last way is the more user friendly one, the flash plugin will
> most likely not show up in synaptic.

Most problems would go away automatically, if these program would
behave more 'unixish' and don't assume they can write anywhere they
want. This seems to be a habit on other operating systems.
Prefereably, they would install their extensions in ~/.${PROGRAM} and
fini.

--
regards,
    Reinhard



More information about the ubuntu-devel mailing list